// PassDlg.h : interface of the CPassDlg class
//
/////////////////////////////////////////////////////////////////////////////

#pragma once

class CPassDlg : public CDialogImpl<CPassDlg>,
            public CWinDataExchange<CPassDlg>
{

    public:
        enum { IDD = IDD_PASSDLG };

        BEGIN_MSG_MAP( CPassDlg )
        MESSAGE_HANDLER( WM_INITDIALOG, OnInitDialog )
        COMMAND_ID_HANDLER( IDOK, OnOK )
        COMMAND_ID_HANDLER( IDCANCEL, OnCancel )
        END_MSG_MAP()

        BEGIN_DDX_MAP( CMainDlg )
        DDX_TEXT( IDC_EDIT_PASSPHRASE, m_sPassphrase )
        END_DDX_MAP()

        // Handler prototypes (uncomment arguments if needed):
        //	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
        //	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
        //	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)

        CString m_sPassphrase;

        LRESULT OnInitDialog( UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/ )
        {
            // center the dialog on the screen
            CenterWindow();

            m_sPassphrase="";

            // set icons
            HICON hIcon = ( HICON ) ::LoadImage( _Module.GetResourceInstance(), MAKEINTRESOURCE( IDR_MAINFRAME ),
                                                 IMAGE_ICON, ::GetSystemMetrics( SM_CXICON ), ::GetSystemMetrics( SM_CYICON ), LR_DEFAULTCOLOR );
            SetIcon( hIcon, TRUE );
            HICON hIconSmall = ( HICON ) ::LoadImage( _Module.GetResourceInstance(), MAKEINTRESOURCE( IDR_MAINFRAME ),
                                                      IMAGE_ICON, ::GetSystemMetrics( SM_CXSMICON ), ::GetSystemMetrics( SM_CYSMICON ), LR_DEFAULTCOLOR );
            SetIcon( hIconSmall, FALSE );

            DoDataExchange( FALSE );

            return TRUE;
        }

        LRESULT OnOK( WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/ )
        {
            if ( DoDataExchange( TRUE ) )
            {
                EndDialog( wID );
            }
            return 0;
        }

        LRESULT OnCancel( WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/ )
        {
            EndDialog( wID );
            return 0;
        }
};
