// ShowBuffDlg.h : interface of the CShowBuffDlg class
//
/////////////////////////////////////////////////////////////////////////////
#pragma once

#include "resource.h"

class CShowBuffDlg : public CDialogImpl<CShowBuffDlg>,
            public CWinDataExchange<CShowBuffDlg>,
            public CDialogResize<CShowBuffDlg>
{

    public:

        enum { IDD = IDD_DIALOG_SHOWBUFF };

    BEGIN_MSG_MAP( CShowBuffDlg )
        MESSAGE_HANDLER( WM_INITDIALOG, OnInitDialog )
        COMMAND_ID_HANDLER( IDOK, OnOK )
        COMMAND_ID_HANDLER( IDCANCEL, OnCancel )
      		CHAIN_MSG_MAP(CDialogResize<CShowBuffDlg>)
    END_MSG_MAP()

    BEGIN_DDX_MAP( CShowBuffDlg )
        DDX_TEXT( IDC_EDIT_BUFF, m_sData )
    END_DDX_MAP()

        BEGIN_DLGRESIZE_MAP(CShowBuffDlg)
			DLGRESIZE_CONTROL( IDC_EDIT_BUFF, DLSZ_SIZE_X | DLSZ_SIZE_Y)
		    DLGRESIZE_CONTROL( IDOK, DLSZ_MOVE_X | DLSZ_MOVE_Y )
   	    END_DLGRESIZE_MAP()

        // Handler prototypes (uncomment arguments if needed):
        //	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
        //	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
        //	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)
        LRESULT OnOK( WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/ )
        {
            EndDialog( wID );
            return 0;
        }

        LRESULT OnCancel( WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/ )
        {
            EndDialog( wID );
            return 0;
        }

    protected:
        // 
        CString m_sData;

    public:
        CShowBuffDlg( CString sData )
        {
            m_sData = sData;
        }

        LRESULT OnInitDialog( UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/ )
        {
          		DlgResize_Init();
            DoDataExchange( FALSE );

            return TRUE;
        }
};
